import codecs
import sys


PY3 = sys.version_info >= (3, 0)
if PY3:
    import builtins
    class_types = type,
    string_types = (str, bytes)
    str = str
    u = lambda s: s
else:
    import builtins as builtins  # noqa
    from types import ClassType
    class_types = (type, ClassType)
    string_types = str,
    str = str

    def u(s):
        return codecs.unicode_escape_decode(s)[0]
